Bug 9610 - Spanish translation of MARC21 default bibliographic framework
Summary: Spanish translation of MARC21 default bibliographic framework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P1 - high enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 20:44 UTC by Bernardo Gonzalez Kriegel
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9610 - Spanish translation of MARC21 default bibliographic framework (649.65 KB, patch)
2013-02-13 21:13 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9610 - Spanish translation of MARC21 default bibliographic framework (649.70 KB, patch)
2013-03-13 22:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 9610 - Spanish translation of MARC21 default bibliographic framework (649.90 KB, patch)
2013-03-25 07:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2013-02-13 20:44:06 UTC
Default bibliographic framework needs Spanish translation.
Comment 1 Bernardo Gonzalez Kriegel 2013-02-13 21:13:06 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2013-03-13 22:27:48 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2013-03-13 22:29:20 UTC
This is a great patch for the spanish speaking community of Koha users. Congratulations to Bernardo for this job: viva Bernardo!
Comment 4 Katrin Fischer 2013-03-25 07:28:06 UTC
Created attachment 16850 [details] [review]
[PASSED QA] Bug 9610 - Spanish translation of MARC21 default bibliographic framework

This (large) patch adds spanish translation to default
MARC21 bibliographic frameworks.

Based on final EN default framework of Bug 5858,
strings from http://www.bne.es/es/Micrositios/Guias/Marc21/index.html

Automated substitution of strings, to change as
little as possible the original file and ensure
that no entry is removed.

Only to new installs.

To test
1) Delete default framework.
2) Load installer/data/mysql/es-ES/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.sql
   into database. Must load without errors.
3) Edit a record y choose default framework, legends must be in spanish
   (save for obsoleted fields, left untranslated on pourpose)

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
SQL changes only.
Dropped my database and ran the Spanish web installer with
all sample files. No errors and frameworks in Koha look fine.
Comment 5 Katrin Fischer 2013-03-25 07:30:02 UTC
Strictly speaking an enhancement, but also translation related so I think it should be considered.
Comment 6 Jared Camins-Esakov 2013-03-30 12:47:12 UTC
This patch has been pushed to master.

I was unable to test the installation process due to the fact that Plack + DEBUG + install = great unhappiness, but the signoffs are good and the file appears to be valid SQL.